<template>
    <ScrollView>
        <StackLayout class="margin">
            <ListPicker v-if="itemUsers!=null" v-model="user" :items="itemUsers"></ListPicker>
            <Label v-else text="Sin usuarios!!!" textWrap="true" />
            
            <DatePicker v-model="fecha" :minDate="minDate" :maxDate="maxDate" />
            <StackLayout horizontalAlignment="center" orientation="horizontal">
                <Button @tap="$modal.close(false)" text="Cancelar"/>
                <Button @tap="onTap()" text="Calendarizar"/>     
            </StackLayout>
        </StackLayout>
    </ScrollView>
</template>

<script>
import { urlApi } from '../../main';
import axios from 'axios';

export default {
    data(){
		return{
			fecha: new Date(),
			minDate: null,
            maxDate: null,
            itemUsers: null,
            users: null,
            user: 0
		}
	},
    created() {
        this.obtenerUsuarios();
		this.minDate = new Date();
		this.maxDate = new Date(this.minDate.getFullYear(), 11, 31);
	},
	methods:{
		onTap(){
            if(this.users.length !== 0){
                this.$modal.close({calendarizar: true, fecha: this.fecha, usuario: this.users[this.user].id})
            }
        },
        obtenerUsuarios(){
            axios.get(urlApi+'/api/v1/mtto/user')
            .then(response=>{
                this.users = response.data.data
                // id_provider ya no existe solo las empresas se podran listar y en el caso de
                // actividades de rutinas solo se listaran usuarios locales
                // .filter(( obj ) => { return obj.id_provider === 2; })
                .filter(( obj ) => { return obj.roles.find((el)=>{ return el.name==="despachador"; });} );
                if(this.users.length!=0)
                    this.itemUsers = this.users.filter(( obj ) => { return obj.roles.find((el)=>{ return el.name==="despachador"; });} ).map(( obj ) => {return obj.name;});
                else
                    this.itemUsers = null;
            })
            .catch(error=>{
                console.log(error);
                
            });
        }
	}
}
</script>

<style scoped>
    .margin{
        margin-bottom: 20;
        margin-top: 20;
        margin-left: 20;
        margin-right: 20;
    }

    .boring{
        border-width: 1 0 1 0;
        border-color: black;
    }

    .item{
		margin: 10 10 10 10;
	}
</style>

